# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob




def update_package():
    # Declaration of local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()
    api_url = "https://api.github.com/repos/yarnpkg/yarn/releases"

     # Get data from API
    releases_dict = wgets(api_url, proxies=proxies, as_json=True)
    msi_found = False  # Flag pour indiquer la découverte d'un fichier .msi
    for release in releases_dict:
        if msi_found:
            break
        for asset in release["assets"]:
            if asset["browser_download_url"].endswith(".msi"):
                url_download = asset["browser_download_url"]
                filename = url_download.split('/')[-1]
                last_version = release["name"][1:]
                msi_found = True  # Mettre à jour le flag pour indiquer qu'un .msi a été trouvé
                break


    if not isfile(filename):
        package_updated = True
        wget(url_download,filename,proxies=proxies)

    #nettoyer les fichiers temporaires
    for f in glob.glob('*.msi'):
        if f != filename:
            remove_file(f)

       

    control.set_software_version(last_version)
    control.save_control_to_wapt()

    return package_updated




# def update_package():
#     # Declaring local variables
#     package_updated = False
#     proxies = get_proxies_from_wapt_console()
#     url_download = 'https://classic.yarnpkg.com/en/docs/install'  #url du telechargement
#     if not proxies:
#         proxies = get_proxies()

#     for elem in bs_find_all('https://yarnpkg.com/',"a", "href","https://classic.yarnpkg.com/en/docs",proxies=proxies) :
#         last_version = elem.contents[0]
#         break

#     url_download = 'https://yarnpkg.com/downloads/%s/yarn-%s.msi'%(last_version,last_version)
#     filename = url_download.split('/')[-1]

#     if not isfile(filename):
#         package_updated = True
#         wget(url_download,filename,proxies=proxies)

#     #nettoyer les fichiers temporaires
#     for f in glob.glob('*.msi'):
#         if f != filename:
#             remove_file(f)
              
       

#     control.set_software_version(last_version)
#     control.save_control_to_wapt()

#     return package_updated
